//editar single-lead
$(document).on("click", '.botao_editar_lead_modal', function()
{
  var singleleadid = $(this).data('leadid');
  $.ajax({
    url: '/app/elements/functions/ajax.php',
    type: 'POST',
    data: {"ajax": "editar_lead_modal", "leadid": singleleadid },
    cache: false,
    success: function(response){
      $('#editar_lead_modal .modal-dialog').html(response);
    }
  });
});

// historico de estados
$(document).on("click", '.botao_historico_estados_modal', function()
{
  var leadid = $(this).data('leadid');
  $.ajax({
    url: '/app/elements/functions/ajax.php',
    type: 'POST',
    data: {"ajax": "historico_estados_modal", "leadid": leadid },
    cache: false,
    success: function(response){
      $('#modal_historico_estados .modal-dialog').html(response);
    }
  });
});

// Botao Guardar
$(document).on("click", '.botao_guardar', function()
{
  var singleleadid = $(this).data('leadid');
  var descricaolead = $("#descricao").val();

  console.log("descricaolead: " + descricaolead);
  console.log("leadid_botao guardar: " + singleleadid);

  $.ajax({
    url: '/app/elements/functions/actions.php',
    type: 'POST',
    data: {"acao": "guarda_descricao", "leadid": singleleadid, "descricaolead": descricaolead },
    cache: false
  });
});

//
$(document).on("click", '.btnalterarestado', function()
{
  //estado
  var statusid = $(this).data('statusid');
  var leadid = $(this).data('leadid');
  var titulo = $(this).data('leadtitulo');
  var clientenif = $(this).data('clientenif');
  var clienteemail= $(this).data('clienteemail');
  var clientenome = $(this).data('clientenome');
  var clientetelefone= $(this).data('clientetelefone');
  var descricao= $(this).data('descricao');
  console.log(clientetelefone);
  console.log(descricao);

  $.ajax({
    url: '/app/elements/functions/actions.php',
    type: 'POST',
    data: {"acao": "guardar_estado", "statusid": statusid, "leadid": leadid},
    cache: false,
    success:function(response) {
      if (statusid!=5) {
        location.reload();
      }
    }
  });

  $.ajax({
    url: '/app/elements/functions/ajax.php',
    type: 'POST',
    data: {"ajax": "opcoes_lead", "leadid": leadid, "titulo" : titulo , "clientenif" : clientenif, "clienteemail" : clienteemail, "clientetelefone" : clientetelefone, "clientenome" : clientenome, "descricao" : descricao },
    cache: false,
    success:function(response) {
      $('#opcoes_lead .modal-dialog').html(response);
    }
  });
});

//editar acao
$(document).on("click", '#btnacao', function()
{
  var leadid = $(this).data('leadid');
  console.log("leadid:" + leadid);
  var acao = $(this).data('acao');
  console.log("acao:" + acao);
  $.ajax({
    url: '/app/elements/functions/actions.php',
    type: 'POST',
    data: {"acao": "altera_acao","leadid": leadid,"acaoid":acao},
    cache: false,
    success:function(response) {
      location.reload();
    }
  });
});
//eliminar single lead
$(document).on('click', '.botao_eliminar_single_lead', function()
{
  var leadid = $(this).data('leadid');
  $.ajax({
    url: '/app/elements/functions/ajax.php',
    type: 'POST',
    data: {"ajax":"eliminar_single_lead_modal", "leadid": leadid },
    cache: false,
    success: function(response){
      $('#eliminar_single_lead_modal .modal-dialog').html(response);
    }
  });
});


//opção orcamento
$(document).on("click", '.btnopcao', function()
{
  //orcamento
  var orcamentoid = $(this).data('orcamentoid');
  var entidade = $(this).data('entidade');
  var clientenome = $(this).data('clientenome');
  var clientenif = $(this).data('clientenif');
  var clienteemail = $(this).data('clienteemail');
  var clientetelefone = $(this).data('clientetelefone');
  var dataorcamento = $(this).data('dataorcamento');
  var budgetestimado = $(this).data('budgetestimado');
  var orccondgeraisid = $(this).data('orccondgeraisid');
  var reuniaopresencial = $(this).data('reuniaopresencial');
  var titulo = $(this).data('titulo');
  var descricao = $(this).data('descricao');
  var notainterna = $(this).data('notainterna');
  var tempoestimado = $(this).data('tempoestimado');
  var mostrar_tempo = $(this).data('mostrar_tempo');
  var mostrar_valor = $(this).data('mostrar_valor');

  $.ajax({
    url: '/app/elements/functions/actions.php',
    type: 'POST',
    data: {"acao": "botao_orcamento","orcamentoid":orcamentoid,"entidade":entidade,"clientenome":clientenome,"clientenif":clientenif,"clienteemail":clienteemail,"clientetelefone":clientetelefone,"dataorcamento":dataorcamento,"budgetestimado":budgetestimado,"orccondgeraisid":orccondgeraisid,"reuniaopresencial":reuniaopresencial,"titulo":titulo,"descricao":descricao,"notainterna":notainterna,"tempoestimado":tempoestimado,"mostrar_tempo":mostrar_tempo,"mostrar_valor":mostrar_valor},
    cache: false,
    success:function(response){
      //location.reload();
      //$('#page_header .breadcrumb').html(response);
    }
  });
});
